Package com.smartgwt.client.util.workflow

# Class Task

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.Task

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `ScriptTask`, `ServiceTask`, `StateTask`, `UserTask`

public class Task extends ProcessElement
A Task is an abstract superclass for `Process` and for all Task types that can be involved in a Process, such as a `ServiceTask`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Task()`
  `Task(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `String`
  `getInputField()`
  Field in the `process state` which is provided as input data to this task.
  `String[]`
  `getInputFieldList()`
  List of multiple fields from the `process state` which are provided as input data to this task.
  `static Task`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getOutputExpression()`
  Special expression to write task output directly into a `DataBoundComponent`.
  `String`
  `getOutputField()`
  Field in the `process state` where this task writes outputs.
  `String[]`
  `getOutputFieldList()`
  List of multiple fields in the `process state` where this task will write outputs.
  `Task`
  `setInputField(String inputField)`
  Field in the `process state` which is provided as input data to this task.
  `Task`
  `setInputFieldList(String... inputFieldList)`
  List of multiple fields from the `process state` which are provided as input data to this task.
  `Task`
  `setOutputExpression(String outputExpression)`
  Special expression to write task output directly into a `DataBoundComponent`.
  `Task`
  `setOutputField(String outputField)`
  Field in the `process state` where this task writes outputs.
  `Task`
  `setOutputFieldList(String... outputFieldList)`
  List of multiple fields in the `process state` where this task will write outputs.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Task

    public Task()

  - ### Task

    public Task(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static Task getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ProcessElement`

  - ### setInputField

    public Task setInputField(String inputField) throws IllegalStateException
    Field in the `process state` which is provided as input data to this task. See `TaskIO`.
    Parameters:
      `inputField` - New inputField value. Default value is null
    Returns:
      `Task` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `Task Input / Output`

  - ### getInputField

    public String getInputField()
    Field in the `process state` which is provided as input data to this task. See `TaskIO`.
    Returns:
      Current inputField value. Default value is null
    See Also:
      - `Task Input / Output`

  - ### setInputFieldList

    public Task setInputFieldList(String... inputFieldList) throws IllegalStateException
    List of multiple fields from the `process state` which are provided as input data to this task. See `TaskIO`.

    If `inputField` is also specified, it will be implicitly added to the `inputFieldList` if it is not already present.

    Parameters:
      `inputFieldList` - New inputFieldList value. Default value is null
    Returns:
      `Task` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `Task Input / Output`

  - ### getInputFieldList

    public String[] getInputFieldList()
    List of multiple fields from the `process state` which are provided as input data to this task. See `TaskIO`.

    If `inputField` is also specified, it will be implicitly added to the `inputFieldList` if it is not already present.

    Returns:
      Current inputFieldList value. Default value is null
    See Also:
      - `Task Input / Output`

  - ### setOutputExpression

    public Task setOutputExpression(String outputExpression) throws IllegalStateException
    Special expression to write task output directly into a `DataBoundComponent`. See `TaskIO`.
    Parameters:
      `outputExpression` - New outputExpression value. Default value is null
    Returns:
      `Task` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `Task Input / Output`

  - ### getOutputExpression

    public String getOutputExpression()
    Special expression to write task output directly into a `DataBoundComponent`. See `TaskIO`.
    Returns:
      Current outputExpression value. Default value is null
    See Also:
      - `Task Input / Output`

  - ### setOutputField

    public Task setOutputField(String outputField) throws IllegalStateException
    Field in the `process state` where this task writes outputs. See `TaskIO`.
    Parameters:
      `outputField` - New outputField value. Default value is null
    Returns:
      `Task` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `Task Input / Output`

  - ### getOutputField

    public String getOutputField()
    Field in the `process state` where this task writes outputs. See `TaskIO`.
    Returns:
      Current outputField value. Default value is null
    See Also:
      - `Task Input / Output`

  - ### setOutputFieldList

    public Task setOutputFieldList(String... outputFieldList) throws IllegalStateException
    List of multiple fields in the `process state` where this task will write outputs. See `TaskIO`.

    If `outputField` is also specified, it will be implicitly added to the `outputFieldList` if it is not already present.

    Parameters:
      `outputFieldList` - New outputFieldList value. Default value is null
    Returns:
      `Task` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `Task Input / Output`

  - ### getOutputFieldList

    public String[] getOutputFieldList()
    List of multiple fields in the `process state` where this task will write outputs. See `TaskIO`.

    If `outputField` is also specified, it will be implicitly added to the `outputFieldList` if it is not already present.

    Returns:
      Current outputFieldList value. Default value is null
    See Also:
      - `Task Input / Output`